/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2024-03-20 14:18:44Z
 *****************************************************************************/

#ifndef __RSZNL_ATTRIBUTES_HEADER
#define __RSZNL_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsznl_stringToBin_WriteCallback(ViSession          io,
                                         ViConstString      repCapName,
                                         RsCoreAttributePtr attr,
                                         void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsZnl_rngTraceFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngWaveQuantityUnitType;
extern RsCoreRangeTableDiscrete RsZnl_rngPeakHoldMode;
extern RsCoreRangeTableDiscrete RsZnl_rngPortSetsCircuitModel;
extern RsCoreRangeTableDiscrete RsZnl_rngDifferentialMatchCircuitModel;
extern RsCoreRangeTableDiscrete RsZnl_rngGroundLoopCircuitModel;
extern RsCoreRangeTableDiscrete RsZnl_rngPortInterchange;
extern RsCoreRangeTableDiscrete RsZnl_rngRiseThreshold;
extern RsCoreRangeTableDiscrete RsZnl_rngStimulusUnit;
extern RsCoreRangeTableDiscrete RsZnl_rngResponseUnit;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitLineType;
extern RsCoreRangeTableDiscrete RsZnl_rngMarkerFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngBandFilterSearchModes;
extern RsCoreRangeTableDiscrete RsZnl_rngMarkerSearch;
extern RsCoreRangeTableDiscrete RsZnl_rngMarkerMode;
extern RsCoreRangeTableDiscrete RsZnl_rngMarkerType;
extern RsCoreRangeTableDiscrete RsZnl_rngTargetFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngMathFunctions;
extern RsCoreRangeTableDiscrete RsZnl_rngStatisticsFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngHorizontalPosition;
extern RsCoreRangeTableDiscrete RsZnl_rngVerticalPosition;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeGateType;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeDomainImpulseResponse;
extern RsCoreRangeTableDiscrete RsZnl_rngParameterConversion;
extern RsCoreRangeTableDiscrete RsZnl_rngImpedanceRenormalization;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeDomainHarmonicGrid;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeDomainStimulus;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeDomainType;
extern RsCoreRangeTableDiscrete RsZnl_rngStimulusTimeDomainXAxisScaling;
extern RsCoreRangeTableDiscrete RsZnl_rngCalUnitStandard;
extern RsCoreRangeTableDiscrete RsZnl_rngCalStandard;
extern RsCoreRangeTableDiscrete RsZnl_rngSParameter;
extern RsCoreRangeTableDiscrete RsZnl_rngDumpSize;
extern RsCoreRangeTableDiscrete RsZnl_rngDisplaySplitType;
extern RsCoreRangeTableDiscrete RsZnl_rngLayoutFormatMode;
extern RsCoreRangeTableDiscrete RsZnl_rngDataFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngFSData;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationSameConnectorGender;
extern RsCoreRangeTableDiscrete RsZnl_rngAveragingMode;
extern RsCoreRangeTableDiscrete RsZnl_rngFilterSelectivity;
extern RsCoreRangeTableDiscrete RsZnl_rngDrivingMode;
extern RsCoreRangeTableDiscrete RsZnl_rngSegmentedAxisType;
extern RsCoreRangeTableDiscrete RsZnl_rngSweepMeasurementDelayInsertionPoint;
extern RsCoreRangeTableDiscrete RsZnl_rngSweepType;
extern RsCoreRangeTableDiscrete RsZnl_rngDelayMode;
extern RsCoreRangeTableDiscrete RsZnl_rngSweepEndModes;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationAutoAveraging;
extern RsCoreRangeTableDiscrete RsZnl_rngMemoryTraceNames;
extern RsCoreRangeTableDiscrete RsZnl_rngTriggerMultipleSource;
extern RsCoreRangeTableDiscrete RsZnl_rngTriggerSlope;
extern RsCoreRangeTableDiscrete RsZnl_rngTriggerSource;
extern RsCoreRangeTableDiscrete RsZnl_rngEmbedSingleEndedLoadPort;
extern RsCoreRangeTableDiscrete RsZnl_rngExportFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngOutputFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngDecimalSeparator;
extern RsCoreRangeTableDiscrete RsZnl_rngFieldSeparator;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationStandard;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationType;
extern RsCoreRangeTableDiscrete RsZnl_rngKitGender;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationConnector;
extern RsCoreRangeTableDiscrete RsZnl_rngFixtureStandardType;
extern RsCoreRangeTableDiscrete RsZnl_rngConnectorGender;
extern RsCoreRangeTableDiscrete RsZnl_rngPropagationMode;
extern RsCoreRangeTableDiscrete RsZnl_rngConnectorType;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationParameter;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeMode;
extern RsCoreRangeTableDiscrete RsZnl_rngSideBand;
extern RsCoreRangeTableDiscrete RsZnl_rngFreqSweepMode;
extern RsCoreRangeTableRanged RsZnl_rngStimulusTimeDomainStartTime;
extern RsCoreRangeTableRanged RsZnl_rngStimulusTimeDomainStopTime;
extern RsCoreRangeTableRanged RsZnl_rngStimulusTimeDomainCenterTime;
extern RsCoreRangeTableRanged RsZnl_rngStimulusTimeDomainTimeSpan;
extern RsCoreRangeTableRanged RsZnl_rngResolutionBandwidth;
extern RsCoreRangeTableRanged RsZnl_rngSweepAverageFactor;
extern RsCoreRangeTableRanged RsZnl_rngSweepNumberOfPoints;
extern RsCoreRangeTableRanged RsZnl_rngSweepTime;
extern RsCoreRangeTableRanged RsZnl_rngSweepMeasurementDelay;
extern RsCoreRangeTableRanged RsZnl_rngAUXPortConnectorAssignment;
extern RsCoreRangeTableDiscrete RsZnl_rngTriggerMeasurementSequence;
extern RsCoreRangeTableRanged RsZnl_rngTriggerDelay;
extern RsCoreRangeTableRanged RsZnl_rngSweepCount;
extern RsCoreRangeTableDiscrete RsZnl_rngShowTraceType;
extern RsCoreRangeTableRanged RsZnl_rngTimeDomainSideLobeLevel;
extern RsCoreRangeTableRanged RsZnl_rngTimeDomainResolutionEnhancement;
extern RsCoreRangeTableRanged RsZnl_rngTimeGateCenterTime;
extern RsCoreRangeTableRanged RsZnl_rngTimeGateSpan;
extern RsCoreRangeTableRanged RsZnl_rngTimeGateStartTime;
extern RsCoreRangeTableRanged RsZnl_rngTimeGateStopTime;
extern RsCoreRangeTableDiscrete RsZnl_rngTimeGateFilterType;
extern RsCoreRangeTableRanged RsZnl_rngTimeGateSideLobeLevel;
extern RsCoreRangeTableDiscrete RsZnl_rngStatisticsResults;
extern RsCoreRangeTableDiscrete RsZnl_rngStatisticsEvaluationRange;
extern RsCoreRangeTableRanged RsZnl_rngTraceSmoothingAperture;
extern RsCoreRangeTableDiscrete RsZnl_rngImpedanceMode;
extern RsCoreRangeTableDiscrete RsZnl_rngChannelSelection;
extern RsCoreRangeTableDiscrete RsZnl_rngFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngInOutMode;
extern RsCoreRangeTableDiscrete RsZnl_rngInOutRawMode;
extern RsCoreRangeTableDiscrete RsZnl_rngRatios;
extern RsCoreRangeTableDiscrete RsZnl_rngNumerator;
extern RsCoreRangeTableDiscrete RsZnl_rngDenominator;
extern RsCoreRangeTableDiscrete RsZnl_rngDetector;
extern RsCoreRangeTableRanged RsZnl_rngSweepDetectorTime;
extern RsCoreRangeTableDiscrete RsZnl_rngWaveQuantities;
extern RsCoreRangeTableDiscrete RsZnl_rngWaveQuantityType;
extern RsCoreRangeTableDiscrete RsZnl_rngStabilityFactor;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerSensorSource;
extern RsCoreRangeTableDiscrete RsZnl_rngDeleteBalancedPort;
extern RsCoreRangeTableRanged RsZnl_rngGroupDelayAperturePoints;
extern RsCoreRangeTableRanged RsZnl_rngDisplayFontSize;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitLineSegmentType;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitState;
extern RsCoreRangeTableDiscrete RsZnl_rngSweepScope;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationStatus;
extern RsCoreRangeTableDiscrete RsZnl_rngConnectorKit;
extern RsCoreRangeTableDiscrete RsZnl_rngApproximationModelling;
extern RsCoreRangeTableDiscrete RsZnl_rngCalManagerOperation;
extern RsCoreRangeTableRanged RsZnl_rngOffsetDelayTime;
extern RsCoreRangeTableRanged RsZnl_rngEffsetElectricalLength;
extern RsCoreRangeTableRanged RsZnl_rngOffsetMechanicalLength;
extern RsCoreRangeTableRanged RsZnl_rngOffsetPermittivity;
extern RsCoreRangeTableRanged RsZnl_rngOneWayLossAtFrequency;
extern RsCoreRangeTableRanged RsZnl_rngOneWayLossAtDC;
extern RsCoreRangeTableDiscrete RsZnl_rngCircuitModel;
extern RsCoreRangeTableDiscrete RsZnl_rngReferenceOscillatorSource;
extern RsCoreRangeTableRanged RsZnl_rngExternalReferenceOscillatorFrequency;
extern RsCoreRangeTableDiscrete RsZnl_rngErrorTerm;
extern RsCoreRangeTableDiscrete RsZnl_rngPortSelector;
extern RsCoreRangeTableDiscrete RsZnl_rngDetail;
extern RsCoreRangeTableDiscrete RsZnl_rngRelay;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationInputSource;
extern RsCoreRangeTableDiscrete RsZnl_rngChannelType;
extern RsCoreRangeTableDiscrete RsZnl_rngSequencerMode;
extern RsCoreRangeTableRanged RsZnl_rngDisplayBackgroundLighting;
extern RsCoreRangeTableDiscrete RsZnl_rngDisplayItem;
extern RsCoreRangeTableDiscrete RsZnl_rngPredefinedColor;
extern RsCoreRangeTableDiscrete RsZnl_rngDateTimeFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngDisplayTouchEnabled;
extern RsCoreRangeTableDiscrete RsZnl_rngStatusRegisterOperation;
extern RsCoreRangeTableDiscrete RsZnl_rngStatusRegister;
extern RsCoreRangeTableDiscrete RsZnl_rngStatusRegisterQuery;
extern RsCoreRangeTableDiscrete RsZnl_rngInstrumentSettingsMode;
extern RsCoreRangeTableDiscrete RsZnl_rngHcopyContent;
extern RsCoreRangeTableDiscrete RsZnl_rngHcopyDevice;
extern RsCoreRangeTableDiscrete RsZnl_rngHcopyFileFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngPageOrientation;
extern RsCoreRangeTableDiscrete RsZnl_rngPageMarginUnit;
extern RsCoreRangeTableDiscrete RsZnl_rngROSCSource;
extern RsCoreRangeTableDiscrete RsZnl_rngGeneralDisplayLanguage;
extern RsCoreRangeTableDiscrete RsZnl_rngPresetMode;
extern RsCoreRangeTableDiscrete RsZnl_rngGeneralIDNFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngMessageType;
extern RsCoreRangeTableDiscrete RsZnl_rngExternalApplicationControlSelectApplication;
extern RsCoreRangeTableDiscrete RsZnl_rngGeneralTouchstoneExportPositiveNumberPrefix;
extern RsCoreRangeTableDiscrete RsZnl_rngTriggeredMeasSequence;
extern RsCoreRangeTableDiscrete RsZnl_rngCorrectionMethod;
extern RsCoreRangeTableDiscrete RsZnl_rngMarkerCouplingType;
extern RsCoreRangeTableDiscrete RsZnl_rngInfiniteAverageMode;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitLineSegmentInterpolation;
extern RsCoreRangeTableDiscrete RsZnl_rngRecallMode;
extern RsCoreRangeTableDiscrete RsZnl_rngMemoryDataFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitFailType;
extern RsCoreRangeTableDiscrete RsZnl_rngMathFormattedFunction;
extern RsCoreRangeTableDiscrete RsZnl_rngInfoWindowBandFilter;
extern RsCoreRangeTableDiscrete RsZnl_rngStimulusAttenuation;
extern RsCoreRangeTableDiscrete RsZnl_rngRepeatedCapability;
extern RsCoreRangeTableDiscrete RsZnl_rngLimitType;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationDueDays;
extern RsCoreRangeTableDiscrete RsZnl_rngHcopyPrintDiagramArea;
extern RsCoreRangeTableDiscrete RsZnl_rngCalLocation;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationValidationLimitCheckFormat;
extern RsCoreRangeTableDiscrete RsZnl_rngCalibrationValidationStandard;
extern RsCoreRangeTableRanged RsZnl_rngStatisticsCopressionNumberRange;
extern RsCoreRangeTableDiscrete RsZnl_rngStatisticsCompressionReference;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationConfigOfsetType;
extern RsCoreRangeTableRanged RsZnl_rngPowerCalibrationConfigOfsetParameter;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationReferenceReciever;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerTransmimissionCoefficientDeEmbeddingPosition;
extern RsCoreRangeTableRanged RsZnl_rngPowerCalibrationMaxItterations;
extern RsCoreRangeTableRanged RsZnl_rngPowerCalibrationTolerance;
extern RsCoreRangeTableRanged RsZnl_rngPowerCalibrationConvergence;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationMethod;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationReceiverWave;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationReceiver;
extern RsCoreRangeTableRanged RsZnl_rngPowerMeterID;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationInitiateCalibration;
extern RsCoreRangeTableDiscrete RsZnl_rngPowerCalibrationSelectSource;
extern RsCoreRangeTableDiscrete rsznl_rngSourcePowerCalibrationData;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSZNL_ATTR_VECTOR_NETWORK_ANALYZER_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_OPERATING_MODE_MULTIVIEW_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_NUMBER_OF_TEST_PORTS;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_SETUP_DUPLICATE;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_SETUP_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_OPERATING_MODE_LIST_OF_CHANNEL_SETUPS;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_SETUP_ACTIVE_CHANNEL;
extern RsCoreAttribute g_RSZNL_ATTR_SEQUENCER_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_SEQUENCER_INIT;
extern RsCoreAttribute g_RSZNL_ATTR_SEQUENCER_ABORT;
extern RsCoreAttribute g_RSZNL_ATTR_SEQUENCER_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_COUPLING_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_START;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_INTERNAL_SOURCE_POWER;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_CW;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_MIN;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_FREQUENCY_MAX;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_SOURCE_PORT;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_RF_CHANNEL_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_TIME_DOMAIN_START_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_TIME_DOMAIN_STOP_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_TIME_DOMAIN_CENTER_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_TIME_DOMAIN_TIME_SPAN;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_TIME_DOMAIN_X_AXIS_SCALING;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_POWER_SWEEP_START;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_POWER_SWEP_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_SOURCE_POWER_LINEAR_FACTOR;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_RF_SOURCE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_STIMULUS_ATTENUATION;
extern RsCoreAttribute g_RSZNL_ATTR_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSZNL_ATTR_FILTER_SELECTIVITY;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_AVERAGE_FACTOR;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_AVERAGE_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_AVERAGE_RESET;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_AVERAGE_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_FREQUENCY_STEP_SIZE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_TIME_AUTO;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_MEASUREMENT_DELAY;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_MEASUREMENT_DELAY_INSERTION_POINT;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_MODE_CONTINUOUS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_MODE_CONTINUOUS_ALL_CHANNELS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_START;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_START_SYNCHRONIZED;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_START_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_START_ALL_SYNCHRONIZED;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_COUNT_ALL_CHANNELS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_IN_SINGLE_CHANNEL;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_IN_ALL_CHANNELS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SCOPE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_DETECTOR_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_X_AXIS;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_DELETE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INDEPENDENT_POWER_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INDEPENDENT_MEAS_BANDWIDTH_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INDEPENDENT_SELECTIVITY_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INDEPENDENT_MEAS_DELAY_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INDEPENDENT_SEGMENT_TIME_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_SUM_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_ADD;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_INSERT_TIME_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_REDEFINE_TIME_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_FREQUENCY_CENTER;
extern RsCoreAttribute g_RSZNL_ATTR_SWEEP_SEGMENT_FREQUENCY_SPAN;
extern RsCoreAttribute g_RSZNL_ATTR_AUX_PORT_CHANNEL_BITS;
extern RsCoreAttribute g_RSZNL_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSZNL_ATTR_INIT_SOFTWARE_TRIGGER;
extern RsCoreAttribute g_RSZNL_ATTR_TRIGGER_MEASUREMENT_SEQUENCE;
extern RsCoreAttribute g_RSZNL_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSZNL_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_SELECT;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_DIAGRAM_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_ASSIGN_DIAGRAM;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_DELETE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_DELETE_ALL_CHANNELS;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_CHANNEL_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_CHANNEL_CATALOG_BALANCED_PORTS;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_CHANNEL_RENAME;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_NAME_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_COPY_TO_MEMORY;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_EXPRESSION;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_FORMATTED_EXPRESSION;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_MODE_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_FUNCTIONS;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_WAVE_QUANTITY_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_FORMATTED_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_MATH_FORMATTED_FUNCTION;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_DELETE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_MEM_TRACE_DELETE_ALL_CHANNELS;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_IMPULSE_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_SIDE_LOBE_LEVEL;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_RESOLUTION_ENHANCEMENT;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_GRID_HARMONIC;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_HARMONIC_GRID_AND_KEEP;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_AUTOMATIC_HARMONIC_GRID;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DC_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_CONTINUOUS_EXTRAPOLATION;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_EXTRAPOLATE_DC_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_CALCULATE_HARMONIC_GRID;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_EXPECTED_MAXIMUM_TIME_DELAY;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_EXPECTED_MAXIMUM_ELECTRICAL_LENGTH;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_EXPECTED_MAXIMUM_MECHANICAL_LENGTH;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_RELATIVE_PERMITTIVITY;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_MINIMUM_RISE_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_RISE_TIME_THRESHOLD;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_DOMAIN_DUT_VELOCITY_FACTOR;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_CENTER_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_SPAN;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_START_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_STOP_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_SHOW_RANGE_LINES;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_FILTER_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_SIDE_LOBE_LEVEL;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_OFFSET_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_TIME_GATE_LINK;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_START_DISTANCE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_STOP_DISTANCE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_CENTER;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_SPAN;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_AUTO_NUMBER_OF_POINTS;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_SELECT_CABLE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_DELETE_USER_DEFINED_CABLE_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_EXPORT_CABLE_TYPES;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_IMPORT_CABLE_TYPES;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_LIMIT_CHECK_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_DISTANCE_TO_FAULT_LIMIT_VIOLATIONS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_ALL_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_MIN_MAX_PEAK_PEAK_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_MEAN_STD_DEV_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_PHASE_ELECTRICAL_LENGTH_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_RMS_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_DISPLAY_FLATNES_GAIN_SLOPE_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_EVALUATION_RANGE;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_EVALUATION_RANGE_START;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_EVALUATION_RANGE_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_EVALUATION_RANGE_SHOW_LIMIT_LINES;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_POINT_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_LEVEL;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_PHASE;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_REFERENCE;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_REFERENCE_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_REFERENCE_RANGE;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_RANGE_START;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_RANGE_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_SHOW_RANGE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSZNL_ATTR_STATISTICS_COMPRESSION_REFERENCE_PHASE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_SMOOTHING_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_SMOOTHING_APERTURE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_HOLD;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_IMPORT_DATA_AUTO_DISTRIBUTE;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_RESPONSE_S_DATA_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_RESPONSE_SINGLE_SWEEP_DATA_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_REGRID_MEMORY_TRACES;
extern RsCoreAttribute g_RSZNL_ATTR_SHOW_LIMIT_LINE;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_LOWER_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_UPPER_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_GLOBAL_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_LIMIT_FAIL_SWEEP_POINTS;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_FAIL_BEEP;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_LIMIT_EFFECTIVE_POINTS_UPPER;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_LIMIT_EFFECTIVE_POINTS_LOWER;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_TTL_PASS;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_HORIZONTAL_SHIFT;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_UPPER_SHIFT;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_LOWER_SHIFT;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_LIMIT_LINE_SEGMENTS;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_START_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_STOP_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_START_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_STOP_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_FORMULA;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_FORMULA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_LIMIT_LINE_SEGMENT_INTERPOLATION;
extern RsCoreAttribute g_RSZNL_ATTR_SHOW_RIPPLE_LIMITS;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_FAIL_BEEP;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_SHOW_RESULTS_ALL_TRACES;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_DELETE_ALL_RANGES;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_RANGE_SEGMENT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_START_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_STOP_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_LINE_SEGMENT_LIMIT;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_STIMULUS_UNIT;
extern RsCoreAttribute g_RSZNL_ATTR_RIPPLE_LIMIT_RESPONSE_UNIT;
extern RsCoreAttribute g_RSZNL_ATTR_SHOW_CIRCLE_LIMITS;
extern RsCoreAttribute g_RSZNL_ATTR_CIRCLE_LIMIT_CHECK;
extern RsCoreAttribute g_RSZNL_ATTR_CIRCLE_LIMIT_CHECK_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_CIRCLE_FAIL_BEEP;
extern RsCoreAttribute g_RSZNL_ATTR_CIRCLE_LIMIT_CHECK_CLEAR;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_CIRCLE_SHOW_BORDER;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_CIRCLE_LIMIT_TO_CIRCLE_ON_OFF;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_CIRCLE_CLEAR;
extern RsCoreAttribute g_RSZNL_ATTR_HORIZONTAL_LINE_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_HORIZONTAL_LINE_RESPONSE_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_PARAMETER_CONVERSION;
extern RsCoreAttribute g_RSZNL_ATTR_VSWR_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_S_PARAMETER_GROUP;
extern RsCoreAttribute g_RSZNL_ATTR_WAVE_QUANTITIES_UNIT_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_SENSOR_AUTO_ZERO;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_METER_NUMBERS;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_METER_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_METER_S_PARAMETER_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_METER_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_METER_AUTO_CONFIGURE;
extern RsCoreAttribute g_RSZNL_ATTR_SELECT_POWER_METER;
extern RsCoreAttribute g_RSZNL_ATTR_BALANCED_PORT_REFERENCE_IMPEDANCE_USE_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_BALANCED_PORT_REFERENCE_IMPEDANCE_RENORMALIZATION;
extern RsCoreAttribute g_RSZNL_ATTR_TRACE_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_GROUP_DELAY_APERTURE_POINTS;
extern RsCoreAttribute g_RSZNL_ATTR_DEFAULT_MARKER_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_DISABLE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_DELTA_MARKER_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_COUPLING;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_EXPORT;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_STIMULUS;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_EXCURSION_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_EXCURSION;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_CENTER_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_START_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_STOP_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_THRESHOLD;
extern RsCoreAttribute g_RSZNL_ATTR_CENTER_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_SPAN_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_START_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_STOP_SWEEP_RANGE_TO_MARKER;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_EXCURSION_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_EXCURSION;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_THRESHOLD;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_SEARCH;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_TRACKING;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_SEARCH_RANGE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_SEARCH_RANGE_START;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_SEARCH_RANGE_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_SEARCH_RANGE_SHOW_LIMIT_LINES;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_TARGET_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_TARGET_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_SEARCH;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_TRACKING;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_SEARCH_RANGE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_SEARCH_RANGE_START;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_SEARCH_RANGE_STOP;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_SEARCH_RANGE_SHOW_LIMIT_LINES;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_TARGET_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_REFERENCE_MARKER_TARGET_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_BANDWIDTH;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_BANDFILTER_SEARCH_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_BANDFILTER_SEARCH_RESULT_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_MULTIPLE_PEAK_EXCURSION_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_MULTIPLE_PEAK_EXCURSION;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_MULTIPLE_PEAK_THRESHOLD_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_MARKER_MULTIPLE_PEAK_THRESHOLD;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_UNIT_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_UNIT_SUBMODULE_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_SELECT_CALIBRATION_UNIT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_UNIT_CHARACTERIZATIONS_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_UNIT_CHARACTERIZATION;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_UNIT_WARMUP_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_ALL_CHANNELS_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DETECT_PORT_ASSIGNMENT;
extern RsCoreAttribute g_RSZNL_ATTR_REPEAT_CALIBRATION;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_TEMPERATURE_COMPENSATION;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_CALIBRATION_UNKNOWN_THROUGH_MEASUREMENT;
extern RsCoreAttribute g_RSZNL_ATTR_EXPORT_FACTORY_CALIBRATION_DATA_TO_TOUCHSTONE_FILE;
extern RsCoreAttribute g_RSZNL_ATTR_CORRECTION_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_CORRECTION_METHOD;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_AUTOMATIC_MEMORY_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_ACTIVATE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_DEACTIVATE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_CONNECTOR;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_CONNECTOR_TYPE_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DELETE_USER_CONNECTOR_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_SAME_CONNECTOR_AT_ALL_PORTS;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_SAME_GENDER_AT_ALL_PORTS;
extern RsCoreAttribute g_RSZNL_ATTR_SAVE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSZNL_ATTR_GENERATE_DEFAULT_CALIBRATION_DATA;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_CALIBRATION_DATA;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_ALL_CALIBRATION_DATA;
extern RsCoreAttribute g_RSZNL_ATTR_ACTIVE_CALIBRATION_COUNT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DATE_AND_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_STATUS;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_CALIBRATION_KIT;
extern RsCoreAttribute g_RSZNL_ATTR_IMPORT_KIT;
extern RsCoreAttribute g_RSZNL_ATTR_LOAD_ZVR_CALIBRATION_KIT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_KIT_PASSWORD;
extern RsCoreAttribute g_RSZNL_ATTR_GENERATE_CALIBRATION_KIT_FILE;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_CALIBRATION_GROUP_FILE;
extern RsCoreAttribute g_RSZNL_ATTR_USER_DEFINED_PRESET_CAL;
extern RsCoreAttribute g_RSZNL_ATTR_MULTIPLE_CALIBRATION_TYPES_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_SAVE_POWER_METER_CORRECTION_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_CONFIGURE_AUTOMATIC_CALIBRATION;
extern RsCoreAttribute g_RSZNL_ATTR_CORRECTION_DISCARD;
extern RsCoreAttribute g_RSZNL_ATTR_WAVE_CORRECTION_LOGIC_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_CORRECTION_CALCULATE_AFTER_DE_EMBED;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_ERROR_CORRECTION_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_LABEL;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_LIMIT_CHECK_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_AVERAGE_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_RUN;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_LIMITS_RESTORE_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_CHARACTERIZATION;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_VALIDATION_STANDARD;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_CONFIG_REFERENCE_RECIEVER;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_CONFIG_REFERENCE_RECIEVER_POWER;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_CONFIG_CAL_POWER_OFFSET;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_TRANSMISSION_COEFICIENT_TWO_PORT_DELETE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_TRANSMISSION_COEFICIENT_TWO_PORT_STORE_COEFFICIENT;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_TRANSMISSION_COEFICIENT_ADDITIONAL_TWO_PORT_POSITION;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_TRANSMISSION_COEFICIENT_TWO_PORT_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_MAX_ITTERATIONS;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_TOLERANCE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_CONVERGENCE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_METHOD;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_OTHER_SOURCES_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_FLATNESS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_REFERENCE_RECEIVER_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_AVAILABLE_POWER_CALIBRATIONS;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_ACTIVE_CHANNEL;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_VERIFICATION_SWEEP_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_SOURCE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_REFERENCE_WAVE_ENABLE;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_RECEIVED_WAVE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_POWER_CALIBRATION_INITIATE_CALIBRATION;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_FIXTURE_SIMULATOR;
extern RsCoreAttribute g_RSZNL_ATTR_DRIVING_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_IMAGE_SUPPRESSION;
extern RsCoreAttribute g_RSZNL_ATTR_USER_PORT_CHANNEL_BITS;
extern RsCoreAttribute g_RSZNL_ATTR_USER_PORT_PINS_USAGE;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_ALL_PORT_GROUPS;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_SEGMENT_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_CHANNEL_SEGMENT_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_OFFSET_COMPENSATION;
extern RsCoreAttribute g_RSZNL_ATTR_RESET_OFFSET;
extern RsCoreAttribute g_RSZNL_ATTR_OFFSET_DELAY_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_EFFSET_ELECTRICAL_LENGTH;
extern RsCoreAttribute g_RSZNL_ATTR_OFFSET_MECHANICAL_LENGTH;
extern RsCoreAttribute g_RSZNL_ATTR_OFFSET_PERMITTIVITY;
extern RsCoreAttribute g_RSZNL_ATTR_ADJUST_TIME_GATE;
extern RsCoreAttribute g_RSZNL_ATTR_AUTO_LENGTH;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_AT_DC;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_AT_FREQUENCY;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_AT_SECOND_FREQUENCY;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_FREQUENCY_FOR_LOSS;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_SECOND_FREQUENCY_FOR_LOSS;
extern RsCoreAttribute g_RSZNL_ATTR_ONE_WAY_LOSS_SECOND_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_AUTO_LENGTH_AND_LOSS;
extern RsCoreAttribute g_RSZNL_ATTR_FIXTURE_COMPENSATION_AUTO_LENGTH_AND_LOSS;
extern RsCoreAttribute g_RSZNL_ATTR_FIXTURE_COMPENSATION_DIRECT_COMPENSATION;
extern RsCoreAttribute g_RSZNL_ATTR_FIXTURE_COMPENSATION_DIRECT_COMPANSATION_STATUS;
extern RsCoreAttribute g_RSZNL_ATTR_FIXTURE_COMPENSATION_RESET;
extern RsCoreAttribute g_RSZNL_ATTR_FIXTURE_COMPENSATION_APPLY;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_SINGLE_ENDED_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_SINGLE_ENDED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_PORT_SETS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_PORT_SETS_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_PORT_SETS_DELETE_ALL_PORT_SETS;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_BALANCED_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_BALANCED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_GROUND_LOOP_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_GROUND_LOOP_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_GROUND_LOOP_LOAD;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_DIFFERENTIAL_MATCH_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_EMBEDDING_DIFFERENTIAL_MATCH_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_SINGLE_ENDED_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_SINGLE_ENDED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_PORT_SETS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_PORT_SETS_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_PORT_SETS_DELETE_ALL_PORT_SETS;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_BALANCED_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_BALANCED_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_GROUND_LOOP_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_GROUND_LOOP_CIRCUIT_MODEL;
extern RsCoreAttribute g_RSZNL_ATTR_DEEMBEDDING_GROUND_LOOP_LOAD;
extern RsCoreAttribute g_RSZNL_ATTR_INFINITE_AVERAGE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_INFINITE_AVERAGE_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_ADD_TRACE_AND_DIAGRAM;
extern RsCoreAttribute g_RSZNL_ATTR_DELETE_DIAGRAM;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DIAGRAM_AREA_MAXIMIZE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DIAGRAM_AREA_TITLE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DIAGRAM_AREA_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DIAGRAM_AREA_SHOW_TITLE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DIAGRAM_AREA_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_TRACE_DIAGRAM_AREA_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_DISPLAY_TRACE_LABEL;
extern RsCoreAttribute g_RSZNL_ATTR_ZOOM_OVERVIEW;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_SPLIT_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_SELECT_DISPLAY_LAYOUT;
extern RsCoreAttribute g_RSZNL_ATTR_LAYOUT;
extern RsCoreAttribute g_RSZNL_ATTR_LAYOUT_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_LAYOUT_OVERLAY_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_LAYOUT_SPLIT_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_FREQUENCY_INFO_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_CHANNEL_INFO_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_TRACE_INFO_STATE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_FONT_SIZE;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_LOCK;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_INFO_WINDOW_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_DISPLAY_INFO_WINDOW_CONTENT_SELECTION;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_MARKER_INFO_WINDOW_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_BACKGROUND_LIGHTING;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_STATUS_BAR_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_SOFTKEY_BAR_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_TOOLBAR_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_TOUCH_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_FRONT_PANEL_KEYS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DATE_AND_TIME_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_DATE_AND_TIME_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_CHANNEL_BAR_INFORMATION_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DISPLAY_X_AXIS_LABEL_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_COLORS_AND_THEMES_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_COLORS_AND_THEMES_SELECTED_THEME;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION_LAST_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION_DELETE_LAST_RESULT;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION_RESULT_FILE_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_SYSTEM_INFORMATION_FILE_PATH;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION_BATTERY_LEVEL;
extern RsCoreAttribute g_RSZNL_ATTR_SERVICE_FUNCTION_INPUT_PULSED_FREQUENCY;
extern RsCoreAttribute g_RSZNL_ATTR_INITIATE_CALIBRATION;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_CALIBRATION_DUE_DAYS;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DUE_SCHEDULE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DUE_SHUTDOWN;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DUE_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_DUE_WARMUP;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_INPUT_SOURCE;
extern RsCoreAttribute g_RSZNL_ATTR_CALIBRATION_SIGNAL_FREQUENCY;
extern RsCoreAttribute g_RSZNL_ATTR_FRONTEND_TEMPERATURE;
extern RsCoreAttribute g_RSZNL_ATTR_SELF_TEST_RESULTS;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_FILE_NAME_COMMENT;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_FILE_NAME;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_SELECTED_STORAGE_DEVICE;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_SELECTED_DIRECTORY;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_DELETE_DIRECTORY;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_NETWORK_UNUSED_DRIVES;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_NETWORK_USED_DRIVES;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_NONE;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_HW_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_LIMIT_LINES_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SPECTROGRAM_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRACE_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRANSDUCER_FACTORS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_INSTRUMENT_CALIBRATION_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_NONE;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_HW_SETTINGS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_LIMIT_LINES_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_SPECTROGRAM_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_TRACE_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_TRANSDUCER_FACTORS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_ITEMS_TO_STORE_CHANNEL_CALIBRATION_DATA_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_INSTRUMENT_SETTINGS_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_INSTRUMENT_SETTINGS_DELETE_ALL;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_INSTRUMENT_SETTINGS_RECALL_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_DATA_INSTRUMENT_SETTINGS_SAVE_NEXT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_ABORT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_NEXT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_CONTENT_TYPE;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_COMMENT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_LOGO_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_COUNT_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_DATE_AND_TIME_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_ALL_HEADERS;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_LOGO;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_MARKER_LIST;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_TIME;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PRINT_DIAGRAM_AREA;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_DESTINATION;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_SELECTED_PRINTER;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_FILE_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_FIRST_PRINTER;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_NEXT_PRINTER;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_ORIENTATION;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_WINDOWS_PER_PAGE;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_SCALE_TO_FIT_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_MARGIN_UNIT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_MARGIN_BOTTOM;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_MARGIN_LEFT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_MARGIN_RIGHT;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_PAGE_MARGIN_TOP;
extern RsCoreAttribute g_RSZNL_ATTR_HCOPY_COLOR_PRINTING_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_EXTERNAL_REFERENCE_OSCILLATOR_FREQUENCY;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_AUTO_POWER_REDUCTION_FOR_CAL_UNIT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_CALIBRATION_AUTO_AVERAGING;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_SEARCH_PATH_FOR_ADDITIONAL_CAL_KITS_AND_CONNECTOR_TYPES;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_GEOMETRIC_CALCULATION_OF_BANDFILTER_CENTER;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_TOUCHSTONE_EXPORT_POSITIVE_NUMBER_PREFIX;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_TOUCHSTONE_EXPORT_SKIP_SEPARATOR_LINES;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_TOUCHSTONE_EXPORT_USE_TAB;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_TOUCHSTONE_EXPORT_TRIM_LEADING_WHITESPACE;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_TOUCHSTONE_EXPORT_COMMENT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_POWER_MODE_AT_SWEEP_END;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_SWEEP_END_SETTLING_DELAY;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_SELF_TEST;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_REMOTE_LOGGING_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_DISPLAY_LANGUAGE;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_RESET_REVISION_TO_FACTORY_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_RESET_IDN_QUERY_TO_FACTORY_DEFAULT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_IDN_QUERY_STRING;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_IDN_FORMAT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_FIRMWARE_UPDATE;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_LOCAL_LOCKOUT_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_REMOTE_CONTROL;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_LXI_INFO;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_LXI_LAN_RESET;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_LXI_INSTRUMENT_DESCRIPTION;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_LXI_PASSWORD;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_DISPLAY_UPDATE_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_DISPLAY_ERROR_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_SYST_ERR;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_CLEAR_SYSTEM_MESSAGES;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_CLEAR_REMOTE_ERRORS;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_REMOTE_CONTROL_COMMAND_SET;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_CONDUCTANCE_IN_EMBEDDING_NETWORKS_ENABLED;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_UPDATE_SETTINGS;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_INSTRUMENT_HOSTNAME;
extern RsCoreAttribute g_RSZNL_ATTR_EXTERNAL_APPLICATION_CONTROL_SELECT_APPLICATION;
extern RsCoreAttribute g_RSZNL_ATTR_EXTERNAL_APPLICATION_CONTROL_START;
extern RsCoreAttribute g_RSZNL_ATTR_EXTERNAL_APPLICATION_CONTROL_WAIT_TO_FINISH;
extern RsCoreAttribute g_RSZNL_ATTR_EXTERNAL_APPLICATION_CONTROL_RETURN_VALUE;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_BIOS_INFO;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_HW_INFO;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_VERSION_INFO;
extern RsCoreAttribute g_RSZNL_ATTR_DUMP_FILE_SIZE;
extern RsCoreAttribute g_RSZNL_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSZNL_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSZNL_ATTR_PRESET_CHANNEL;
extern RsCoreAttribute g_RSZNL_ATTR_PRESET_MODE;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_REBOOT;
extern RsCoreAttribute g_RSZNL_ATTR_GENERAL_SHUTDOWN;
extern RsCoreAttribute g_RSZNL_ATTR_PASSWORD_RESET;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_PASSWORD;
extern RsCoreAttribute g_RSZNL_ATTR_HIDDEN_SYSTEM_MEMORY_ADD;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_CATALOG;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_COMMIT;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_DELETE;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_INIT;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_OFFSET;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_RESET;
extern RsCoreAttribute g_RSZNL_ATTR_SYSTEM_MEMORY_SIZE;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsznl_RsCoreRepCapTable[];
extern ViInt32 rsznl_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsznl_RsCoreAttributeList[];
extern ViInt32 rsznl_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSZNL_ATTRIBUTES_HEADER */
