/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#ifndef RSZNL_UTILITY_H
#define RSZNL_UTILITY_H
#include <visatype.h>

ViStatus rsznl_InitAttributes(ViSession instrSession);

ViStatus rsznl_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rsznl_CheckStatus(ViSession instrSession);

ViStatus rsznl_getViReal64ArrayWindow(ViSession     instrSession,
                                      ViConstString cmdFormatString,
                                      ViInt32       window,
                                      ViReal64      array[],
                                      ViInt32       bufferSize,
                                      ViStatus      parameterErrorCode);

ViStatus rsznl_getViReal64Array(ViSession     instrSession,
                                ViConstString cmd,
                                ViReal64      array[],
                                ViInt32       bufferSize,
                                ViStatus      parameterErrorCode);

ViStatus rsznl_dataReadTrace(ViSession         instrSession,
                             ViString          command,
                             ViInt32           arrayLength,
                             /*@out@*/ViReal64 traceData[],
                             ViPInt32          noofPoints);

ViStatus rsznl_SetOPCTimeout(ViSession instrSession,
                             ViInt32   timeout);

ViStatus rsznl_GetOPCTimeout(ViSession instrSession,
                             ViInt32   *timeout);

ViStatus rsznl_GetAttributeRepCapName(ViSession instrSession,
                                      ViUInt32  attributeId,
                                      ViString  repCapNameId,
                                      ViInt32   index,
                                      ViInt32   bufferSize,
                                      ViChar    repCapName[]);

ViStatus rsznl_WriteMemoryTraceDataExt(ViSession instrSession,
                                       ViInt32   channel_Trace,
                                       ViInt32   dataFormat,
                                       ViInt32   no_ofPoints,
                                       ViReal64  traceData[]);

ViStatus rsznl_traceCommandSelect(ViSession instrSession,
                                  ViInt32   channel,
                                  ViString  traceName,
                                  ViChar    buffer[],
                                  ViInt32   *offset);

ViStatus rsznl_SendTouchstoneFileToInstrument(ViSession instrSession,
                                                       ViString  cmd,
                                                       ViString  touchstoneFile);

ViStatus rsznl_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[]);

#endif // RSZNL_UTILITY_H
